libledit-ocaml-dev_2.03-2_amd64.deb


Advertisement

Description

libledit-ocaml-dev - OCaml line editor library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libledit-ocaml-dev
Package version 2.03
Package release 2
Package architecture amd64
Package type deb
Installed size 328 B
Download size 46.78 KB
Official Mirror ftp.br.debian.org
Ledit is a line editor, allowing to use control commands like in emacs
or in shells (bash, tcsh). To be used with interactive commands. It is
written in OCaml and Camlp4 and uses the library unix.cma.
This package ships Ledit as a development library, so that you can use
it to build interactive programs with line editing capabilities.

Alternatives

Package Version Architecture Repository
libledit-ocaml-dev_2.03-2_i386.deb 2.03 i386 Debian Main
libledit-ocaml-dev - - -

Requires

Name Value
camlp5 -
camlp5-ejbq9 -
ocaml-findlib -
ocaml-nox-4.01.0 -

Provides

Name Value
libledit-ocaml-dev-tv9m2 -

Download

Type URL
Binary Package libledit-ocaml-dev_2.03-2_amd64.deb
Source Package ledit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libledit-ocaml-dev deb package:
    # sudo apt-get install libledit-ocaml-dev

Files

Path
/usr/lib/ocaml/ledit/META
/usr/lib/ocaml/ledit/cursor.cmi
/usr/lib/ocaml/ledit/cursor.mli
/usr/lib/ocaml/ledit/ledit.a
/usr/lib/ocaml/ledit/ledit.cma
/usr/lib/ocaml/ledit/ledit.cmi
/usr/lib/ocaml/ledit/ledit.cmxa
/usr/lib/ocaml/ledit/ledit.mli
/usr/share/doc-base/libledit-ocaml-dev.doc-base.apiref
/usr/share/doc/libledit-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libledit-ocaml-dev/changelog.gz
/usr/share/doc/libledit-ocaml-dev/copyright
/usr/share/doc/libledit-ocaml-dev/html/api/Cursor.html
/usr/share/doc/libledit-ocaml-dev/html/api/Ledit.html
/usr/share/doc/libledit-ocaml-dev/html/api/index.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_attributes.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_class_types.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_classes.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_exceptions.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_methods.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_module_types.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_modules.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_types.html
/usr/share/doc/libledit-ocaml-dev/html/api/index_values.html
/usr/share/doc/libledit-ocaml-dev/html/api/style.css
/usr/share/doc/libledit-ocaml-dev/html/api/type_Cursor.html
/usr/share/doc/libledit-ocaml-dev/html/api/type_Ledit.html
/var/lib/ocaml/lintian/libledit-ocaml-dev.info
/var/lib/ocaml/md5sums/libledit-ocaml-dev.md5sums

Changelog

2013-12-05 - Stéphane Glondu <glondu@debian.org>
ledit (2.03-2) unstable; urgency=low
[ Stéphane Glondu ]
* Compile with OCaml 4.01.0
[ Ralf Treinen ]
* new patch manpage-typos: fix some typos in ledit.1 manpage. Thanks a
lot to A. Costa! (closes: #672479)
* debian/copyright header paragraph: add format, field names as required
by format 1.0, drop fields not allowd in format 1.0
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders
2012-03-04 - Stéphane Glondu <glondu@debian.org>
ledit (2.03-1) unstable; urgency=low
[ Stéphane Glondu ]
* New upstream release
[ Ralf Treinen ]
* debian/rules: added targets build-{arch,indep}
* Added myself as uploader.
2011-11-02 - Stéphane Glondu <glondu@debian.org>
ledit (2.02.1-3) unstable; urgency=low
[ Stéphane Glondu ]
* Recompile with OCaml 3.12.1 (no changes)
[ Stefano Zacchiroli ]
* remove myself from Uploaders
2011-04-18 - Stéphane Glondu <glondu@debian.org>
ledit (2.02.1-2) unstable; urgency=low
* Rebuild with OCaml 3.12.0 (no changes)
2011-02-20 - Stéphane Glondu <glondu@debian.org>
ledit (2.02.1-1) unstable; urgency=low
* New upstream release
- remove all patches (merged upstream)
* Switch source package format to 3.0 (quilt)
* debian/control:
- bump Standards-Version to 3.9.1
- bump versioned build-dependency on camlp5 to ease camlp5 transition
2010-02-10 - Stéphane Glondu <glondu@debian.org>
ledit (2.01-6) unstable; urgency=low
* Rebuild with OCaml 3.11.2
* Bump Standards-Version to 3.8.4 (no changes)
2009-10-06 - Mehdi Dogguy <mehdi@debian.org>
ledit (2.01-5) unstable; urgency=low
[ Stéphane Glondu ]
* debian/control:
- update my e-mail address and remove DMUA
- update Standards-Version to 3.8.3 (no changes)
[ Mehdi Dogguy ]
* Add myself to uploaders
* Simplify debian/rules
- Use debian/clean
- Use dh_ocamldoc (Closes: #549718)
- Use dh_ocaml
* Add dh_ocaml variables ${misc:Depends} in debian/control
2009-07-02 - Stephane Glondu <steph@glondu.net>
ledit (2.01-4) unstable; urgency=low
[ Stephane Glondu ]
* Add myself to Uploaders and DMUA
* Fix bashism in debian/rules (Closes: #535394)
* debian/control:
- update Standards-Version to 3.8.2
- move libledit-ocaml-dev to section ocaml
- add Homepage field
- add versioned dependency to camlp5 to ease OCaml 3.11.1 transition
* Generate API documentation and install ledit.mli and cursor.mli
[ Sylvain Le Gall ]
* Add debian/README.source for standards-version compliance
* Update debian/copyright using
http://wiki.debian.org/Proposals/CopyrightFormat
* Remove lintian overrides
* Add myself to Uploaders
2009-04-27 - Stefano Zacchiroli <zack@debian.org>
ledit (2.01-3) unstable; urgency=low
* provide for the (new) virtual package "readline-editor"
* register ledit executable as an alternative for readline-editor
* bump Standards-Version to 3.8.1 (no changes needed)
2009-02-23 - Samuel Mimram <smimram@debian.org>
ledit (2.01-2) unstable; urgency=low
[ Stephane Glondu ]
* Remove Julien from Uploaders
[ Samuel Mimram ]
* Use dh-ocaml's predefined variables and cleanup rules.

See Also

Package Description
liblemonldap-ng-cli-perl_0.1-1_all.deb Command Line Interface to edit LemonLDAP::NG configuration
liblemonldap-ng-common-perl_1.3.3-1_all.deb Lemonldap::NG common files
liblemonldap-ng-conf-perl_1.3.3-1_all.deb transitional dummy package
liblemonldap-ng-handler-perl_1.3.3-1_all.deb Lemonldap::NG Apache handler part
liblemonldap-ng-manager-perl_1.3.3-1_all.deb Lemonldap::NG manager part
liblemonldap-ng-portal-perl_1.3.3-1_all.deb Lemonldap::NG authentication portal part
liblensfun-data_0.2.8-2_all.deb Lens Correction library - Data
liblensfun-dev_0.2.8-2_amd64.deb Lens Correction library - Development files
liblensfun-doc_0.2.8-2_all.deb Lens Correction library - Documentation
liblensfun0_0.2.8-2_amd64.deb Lens Correction library - Runtime files
liblept4_1.71-2.1+b2_amd64.deb image processing library
libleptonica-dev_1.71-2.1+b2_amd64.deb image processing library
libleveldb-cil-dev_1.9.1-1_all.deb portable C# binding for the C API of the LevelDB library - development files
libleveldb-dev_1.17-1_amd64.deb fast key-value storage library (development files)
libleveldb1.2-cil_1.9.1-1_all.deb portable C# binding for the C API of the LevelDB library
Advertisement
Advertisement